diff --git a/test_plans/iavf_fdir_test_plan.rst b/test_plans/iavf_fdir_test_plan.rst
old mode 100644
new mode 100755
index c7b8bc9..91dbf57
--- a/test_plans/iavf_fdir_test_plan.rst
+++ b/test_plans/iavf_fdir_test_plan.rst
@@ -236,7 +236,7 @@ Prerequisites
 
 5. Launch the app ``testpmd`` with the following arguments::
 
-    ./testpmd -c 0xff -n 6 -w 86:01.0 -w 86:01.1 --file-prefix=vf -- -i --rxq=16 --txq=16
+    ./testpmd -c 0xff -n 6 -a 86:01.0 -a 86:01.1 --file-prefix=vf -- -i --rxq=16 --txq=16
     testpmd> set fwd rxonly
     testpmd> set verbose 1
 
@@ -4269,7 +4269,7 @@ Subcase 1: same rules
 
 3. start testpmd on vf00 and vf01::
 
-    ./testpmd -c 0xff -n 6 -w 86:01.0 -w 86:01.1 --file-prefix=vf0 -- -i --rxq=16 --txq=16
+    ./testpmd -c 0xff -n 6 -a 86:01.0 -a 86:01.1 --file-prefix=vf0 -- -i --rxq=16 --txq=16
 
    create same rules with pf::
 
@@ -4287,7 +4287,7 @@ Subcase 1: same rules
 
 4. start testpmd on vf10 and vf11::
 
-    ./testpmd -c 0xff00 -n 6 -w 86:11.0 -w 86:11.1 --file-prefix=vf1 -- -i --rxq=16 --txq=16
+    ./testpmd -c 0xff00 -n 6 -a 86:11.0 -a 86:11.1 --file-prefix=vf1 -- -i --rxq=16 --txq=16
 
    create same rules with pf::
 
@@ -4372,7 +4372,7 @@ Subcase 2: same input set, different actions
 
 2. start testpmd on vf00 and vf01::
 
-    ./testpmd -c 0xff -n 6 -w 86:01.0 -w 86:01.1 --file-prefix=vf0 -- -i --rxq=16 --txq=16
+    ./testpmd -c 0xff -n 6 -a 86:01.0 -a 86:01.1 --file-prefix=vf0 -- -i --rxq=16 --txq=16
 
    create same rules with pf::
 
@@ -4381,7 +4381,7 @@ Subcase 2: same input set, different actions
 
 3. start testpmd on vf10 and vf11::
 
-    ./testpmd -c 0xff00 -n 6 -w 86:11.0 -w 86:11.1 --file-prefix=vf1 -- -i --rxq=16 --txq=16
+    ./testpmd -c 0xff00 -n 6 -a 86:11.0 -a 86:11.1 --file-prefix=vf1 -- -i --rxq=16 --txq=16
 
    create same rules with pf::
 
@@ -4434,7 +4434,7 @@ Subcase 3: different patterns, different actions
 
 2. start testpmd on vf00 and vf01::
 
-    ./testpmd -c 0xff -n 6 -w 86:01.0 -w 86:01.1 --file-prefix=vf0 -- -i --rxq=16 --txq=16
+    ./testpmd -c 0xff -n 6 -a 86:01.0 -a 86:01.1 --file-prefix=vf0 -- -i --rxq=16 --txq=16
 
    create same rules with pf::
 
@@ -4443,7 +4443,7 @@ Subcase 3: different patterns, different actions
 
 3. start testpmd on vf10 and vf11::
 
-    ./testpmd -c 0xff00 -n 6 -w 86:11.0 -w 86:11.1 --file-prefix=vf1 -- -i --rxq=16 --txq=16
+    ./testpmd -c 0xff00 -n 6 -a 86:11.0 -a 86:11.1 --file-prefix=vf1 -- -i --rxq=16 --txq=16
 
    create same rules with pf::
 
@@ -4893,7 +4893,7 @@ Subcase 1: PFCP FDIR vlan strip on HW checksum offload check
 ------------------------------------------------------------
 1. start testpmd on vf00::
 
-    ./x86_64-native-linuxapp-gcc/app/testpmd -c 0xff -n 6 -w 86:01.0 --file-prefix=vf -- -i --rxq=16 --txq=16 --enable-rx-cksum --port-topology=loop
+    ./x86_64-native-linuxapp-gcc/app/testpmd -c 0xff -n 6 -a 86:01.0 --file-prefix=vf -- -i --rxq=16 --txq=16 --enable-rx-cksum --port-topology=loop
 
 2. Enable vlan filter and receipt of VLAN packets with VLAN Tag Identifier 1 on port 0.
    Enable vlan strip on port 0::
@@ -4963,7 +4963,7 @@ subcase 2: PFCP FDIR vlan strip off SW checksum offload check
 -------------------------------------------------------------
 1. start testpmd on vf00::
 
-    ./x86_64-native-linuxapp-gcc/app/testpmd -c 0xff -n 6 -w 86:01.0 --file-prefix=vf -- -i --rxq=16 --txq=16 --enable-rx-cksum --port-topology=loop
+    ./x86_64-native-linuxapp-gcc/app/testpmd -c 0xff -n 6 -a 86:01.0 --file-prefix=vf -- -i --rxq=16 --txq=16 --enable-rx-cksum --port-topology=loop
 
 2. Enable vlan filter and receipt of VLAN packets with VLAN Tag Identifier 1 on port 0.
    Disable vlan strip on port 0::
@@ -5031,7 +5031,7 @@ subcase 3: PFCP FDIR vlan insert on
 -----------------------------------
 1. start testpmd on vf00::
 
-    ./x86_64-native-linuxapp-gcc/app/testpmd -c 0xff -n 6 -w 86:01.0 --file-prefix=vf -- -i --rxq=16 --txq=16
+    ./x86_64-native-linuxapp-gcc/app/testpmd -c 0xff -n 6 -a 86:01.0 --file-prefix=vf -- -i --rxq=16 --txq=16
 
 2. Enable vlan filter and insert VLAN Tag Identifier 1 to vlan packet sent from port 0::
 
diff --git a/tests/TestSuite_iavf_fdir.py b/tests/TestSuite_iavf_fdir.py
old mode 100644
new mode 100755
index 74771af..aecb39c
--- a/tests/TestSuite_iavf_fdir.py
+++ b/tests/TestSuite_iavf_fdir.py
@@ -7593,7 +7593,7 @@ class TestIAVFFdir(TestCase):
     def launch_testpmd(self):
         self.pmd_output.start_testpmd(cores="1S/4C/1T",
                                       param="--rxq={} --txq={}".format(self.cvlq_num, self.cvlq_num),
-                                      eal_param="-w %s -w %s" % (
+                                      eal_param="-a %s -a %s" % (
                                            self.sriov_vfs_pf0[0].pci,self.sriov_vfs_pf0[1].pci),
                                       socket=self.ports_socket)
         self.config_testpmd()
@@ -8282,12 +8282,12 @@ class TestIAVFFdir(TestCase):
         m0 = p.search(out_pf0)
         m1 = p.search(out_pf1)
 
-        eal_param = "-c 0xf -n 6 -w %s -w %s --file-prefix=pf0" % (self.sriov_vfs_pf0[0].pci,self.sriov_vfs_pf0[1].pci)
+        eal_param = "-c 0xf -n 6 -a %s -a %s --file-prefix=pf0" % (self.sriov_vfs_pf0[0].pci,self.sriov_vfs_pf0[1].pci)
         command = self.path + eal_param + " -- -i --rxq=%s --txq=%s" % (self.cvlq_num, self.cvlq_num)
         self.dut.send_expect(command, "testpmd> ", 300)
         self.config_testpmd()
 
-        eal_param = "-c 0xf0 -n 6 -w %s -w %s --file-prefix=pf1" % (self.sriov_vfs_pf1[0].pci,self.sriov_vfs_pf1[1].pci)
+        eal_param = "-c 0xf0 -n 6 -a %s -a %s --file-prefix=pf1" % (self.sriov_vfs_pf1[0].pci,self.sriov_vfs_pf1[1].pci)
         command = self.path + eal_param + " -- -i --rxq=%s --txq=%s" % (self.cvlq_num, self.cvlq_num)
         self.session_secondary.send_expect(command, "testpmd> ", 300)
         #self.session_secondary.config_testpmd()
@@ -8435,12 +8435,12 @@ class TestIAVFFdir(TestCase):
         m0 = p.search(out_pf0)
         m1 = p.search(out_pf1)
 
-        eal_param = "-c 0xf -n 6 -w %s -w %s --file-prefix=pf0" % (self.sriov_vfs_pf0[0].pci,self.sriov_vfs_pf0[1].pci)
+        eal_param = "-c 0xf -n 6 -a %s -a %s --file-prefix=pf0" % (self.sriov_vfs_pf0[0].pci,self.sriov_vfs_pf0[1].pci)
         command = self.path + eal_param + " -- -i --rxq=%s --txq=%s" % (self.cvlq_num, self.cvlq_num)
         self.dut.send_expect(command, "testpmd> ", 300)
         self.config_testpmd()
 
-        eal_param = "-c 0xf0 -n 6 -w %s -w %s --file-prefix=pf1" % (self.sriov_vfs_pf1[0].pci,self.sriov_vfs_pf1[1].pci)
+        eal_param = "-c 0xf0 -n 6 -a %s -a %s --file-prefix=pf1" % (self.sriov_vfs_pf1[0].pci,self.sriov_vfs_pf1[1].pci)
         command = self.path + eal_param + " -- -i --rxq=%s --txq=%s" % (self.cvlq_num, self.cvlq_num)
         self.session_secondary.send_expect(command, "testpmd> ", 300)
         #self.session_secondary.config_testpmd()
@@ -8588,12 +8588,12 @@ class TestIAVFFdir(TestCase):
         m0 = p.search(out_pf0)
         m1 = p.search(out_pf1)
 
-        eal_param = "-c 0xf -n 6 -w %s -w %s --file-prefix=pf0" % (self.sriov_vfs_pf0[0].pci,self.sriov_vfs_pf0[1].pci)
+        eal_param = "-c 0xf -n 6 -a %s -a %s --file-prefix=pf0" % (self.sriov_vfs_pf0[0].pci,self.sriov_vfs_pf0[1].pci)
         command = self.path + eal_param + " -- -i --rxq=%s --txq=%s" % (self.cvlq_num, self.cvlq_num)
         self.dut.send_expect(command, "testpmd> ", 300)
         self.config_testpmd()
 
-        eal_param = "-c 0xf0 -n 6 -w %s -w %s --file-prefix=pf1" % (self.sriov_vfs_pf1[0].pci,self.sriov_vfs_pf1[1].pci)
+        eal_param = "-c 0xf0 -n 6 -a %s -a %s --file-prefix=pf1" % (self.sriov_vfs_pf1[0].pci,self.sriov_vfs_pf1[1].pci)
         command = self.path + eal_param + " -- -i --rxq=%s --txq=%s" % (self.cvlq_num, self.cvlq_num)
         self.session_secondary.send_expect(command, "testpmd> ", 300)
         #self.session_secondary.config_testpmd()
@@ -9171,7 +9171,7 @@ class TestIAVFFdir(TestCase):
         self.dut.send_expect("quit", "# ")
         self.pmd_output.start_testpmd(cores="1S/4C/1T",
                                       param="--rxq={} --txq={} --enable-rx-cksum --port-topology=loop".format(self.cvlq_num, self.cvlq_num),
-                                      eal_param="-w %s" % self.sriov_vfs_pf0[0].pci,
+                                      eal_param="-a %s" % self.sriov_vfs_pf0[0].pci,
                                       socket=self.ports_socket)
         vlan = 51
         mac = "00:11:22:33:44:55"
@@ -9268,7 +9268,7 @@ class TestIAVFFdir(TestCase):
         self.dut.send_expect("quit", "# ")
         self.pmd_output.start_testpmd(cores="1S/4C/1T",
                                       param="--rxq={} --txq={} --enable-rx-cksum --port-topology=loop".format(self.cvlq_num, self.cvlq_num),
-                                      eal_param="-w %s" % self.sriov_vfs_pf0[0].pci,
+                                      eal_param="-a %s" % self.sriov_vfs_pf0[0].pci,
                                       socket=self.ports_socket)
         vlan = 51
         mac = "00:11:22:33:44:55"
@@ -9358,7 +9358,7 @@ class TestIAVFFdir(TestCase):
         self.dut.send_expect("quit", "# ")
         self.pmd_output.start_testpmd(cores="1S/4C/1T",
                                       param="--rxq={} --txq={} --enable-rx-cksum --port-topology=loop".format(self.cvlq_num, self.cvlq_num),
-                                      eal_param="-w %s" % self.sriov_vfs_pf0[0].pci,
+                                      eal_param="-a %s" % self.sriov_vfs_pf0[0].pci,
                                       socket=self.ports_socket)
         vlan = 51
         mac = "00:11:22:33:44:55"